ur_rna.RNAstructureUI

## Class RNAstructureBackendCalculatorProxyJNI

- java.lang.Object
- - ur_rna.RNAstructureUI.RNAstructureBackendCalculatorProxyJNI

-     public class RNAstructureBackendCalculatorProxyJNI
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RNAstructureBackendCalculatorProxyJNI()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `delete_RNAstructureBackendCalculator(long jarg1)`
    `static long` | `new_RNAstructureBackendCalculator()`
    `static void` | `RNAstructureBackendCalculator_activateMultilign(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static void` | `RNAstructureBackendCalculator_activateTurboFold(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static void` | `RNAstructureBackendCalculator_addMultilignTuple(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3)`
    `static void` | `RNAstructureBackendCalculator_addTurboFoldTuple__SWIG_0(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, java.lang.String jarg4)`
    `static void` | `RNAstructureBackendCalculator_addTurboFoldTuple__SWIG_1(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildAccessFoldDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, boolean jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildAllSubDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildBifoldDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, boolean jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildBipartitionDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, boolean jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildDuplexFoldDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, boolean jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildDynalignDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, boolean jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildEfn2DataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildFoldDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildMaxExpectDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildOligoScreenDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildOligoWalkDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildPartitionDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildProbKnotDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildRefoldDynalignDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildRefoldSingleDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildRemovePseudoknotsDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_buildStochasticDataStructure(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static void` | `RNAstructureBackendCalculator_cancelOperation(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static boolean` | `RNAstructureBackendCalculator_canFoldOligoOligo(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static boolean` | `RNAstructureBackendCalculator_canFoldOligoSelf(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static void` | `RNAstructureBackendCalculator_clearDynalignAlignmentConstraints(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static void` | `RNAstructureBackendCalculator_clearFoldingConstraints(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static void` | `RNAstructureBackendCalculator_deleteMultilignTuple(long jarg1, RNAstructureBackendCalculator jarg1_, long jarg2)`
    `static void` | `RNAstructureBackendCalculator_deleteTurboFoldTuple(long jarg1, RNAstructureBackendCalculator jarg1_, long jarg2)`
    `static int` | `RNAstructureBackendCalculator_determineOligoMaximum(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static void` | `RNAstructureBackendCalculator_foldOligo(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, int jarg3, boolean jarg4, boolean jarg5, java.lang.String jarg6)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getAllOligoData(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getDisplayedOligo(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getDynalignAlignmentConstraints(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getDynalignAlignmentWindowSize(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getDynalignStructureWindowSize(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getEnvVar(java.lang.String jarg1)`
    `static int` | `RNAstructureBackendCalculator_GetErrorCode(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getFoldingConstraints(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static int` | `RNAstructureBackendCalculator_getFoldWindowSize(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_GetFullErrorMessage(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getGraphRegionBegin(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getGraphRegionEnd(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getMaxConstraintIndex(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static int` | `RNAstructureBackendCalculator_getMaxLoop(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getMaxPair(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getMostStableOligo(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getMultilignCT(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static int` | `RNAstructureBackendCalculator_getMultilignMaxPairs(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getMultilignSequenceSetData(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getNumMultilignSequences(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getNumTurboFoldSequences(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getOligoLabelData(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static int` | `RNAstructureBackendCalculator_getOligoTargetLength(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getOligoTargetSequence(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getProgressNumber(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static int` | `RNAstructureBackendCalculator_getRefoldWindowSize(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getSaveFile(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getSequenceComment(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getSequenceData(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getSequenceTitle(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getStructureType(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static double` | `RNAstructureBackendCalculator_getSuboptimalAbsoluteDiff(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static float` | `RNAstructureBackendCalculator_getSuboptimalPercentDiff(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static double` | `RNAstructureBackendCalculator_getTemperature(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getTurboFoldCT(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getTurboFoldSaveFile(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getTurboFoldSequenceSetData(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static java.lang.String` | `RNAstructureBackendCalculator_getVersion()`
    `static java.lang.String` | `RNAstructureBackendCalculator_loadDoubleRNA__SWIG_0(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, boolean jarg4, int jarg5)`
    `static java.lang.String` | `RNAstructureBackendCalculator_loadDoubleRNA__SWIG_1(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, boolean jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_loadSingleRNA__SWIG_0(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, boolean jarg3, int jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_loadSingleRNA__SWIG_1(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_readDynalignAlignmentConstraintsFile(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_readFoldingConstraintsFile(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, int jarg3)`
    `static void` | `RNAstructureBackendCalculator_readSequenceData(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runAccessFold(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, float jarg3, int jarg4, double jarg5, int jarg6, boolean jarg7)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runAllSub(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, float jarg3, double jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runBifold(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, float jarg3, int jarg4, int jarg5, boolean jarg6, boolean jarg7)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runBipartition(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runDuplexFold(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, float jarg3, int jarg4, int jarg5, boolean jarg6)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runDynalign(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, java.lang.String jarg4, java.lang.String jarg5, double jarg6, int jarg7, int jarg8, int jarg9, float jarg10, boolean jarg11)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runDynalignRefold(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, java.lang.String jarg4, int jarg5, int jarg6, int jarg7, int jarg8)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runEfn2(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runFold(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, int jarg3, int jarg4, int jarg5, boolean jarg6)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runMaxExpect(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, double jarg3, int jarg4, int jarg5, double jarg6)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runMultilign(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2, int jarg3, int jarg4, int jarg5, double jarg6, boolean jarg7, double jarg8, int jarg9, int jarg10, java.lang.String jarg11, boolean jarg12, boolean jarg13)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runOligoScreen(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, java.lang.String jarg3, boolean jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runOligoWalk(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, int jarg3, java.lang.String jarg4, boolean jarg5, int jarg6, int jarg7, java.lang.String jarg8, int jarg9, int jarg10)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runPartition(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runPseudoknotPrediction(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, int jarg3, int jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runPseudoknotRemoval(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, boolean jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runRefold(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, int jarg3, int jarg4, int jarg5)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runStochastic(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, int jarg3, int jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runTurboFoldMaximumExpectedAccuracy__SWIG_0(long jarg1, RNAstructureBackendCalculator jarg1_, double jarg2, int jarg3, double jarg4, int jarg5, int jarg6, double jarg7, java.lang.String jarg8)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runTurboFoldMaximumExpectedAccuracy__SWIG_1(long jarg1, RNAstructureBackendCalculator jarg1_, double jarg2, int jarg3, double jarg4, int jarg5, int jarg6, double jarg7)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runTurboFoldPseudoknot__SWIG_0(long jarg1, RNAstructureBackendCalculator jarg1_, double jarg2, int jarg3, int jarg4, int jarg5, java.lang.String jarg6)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runTurboFoldPseudoknot__SWIG_1(long jarg1, RNAstructureBackendCalculator jarg1_, double jarg2, int jarg3, int jarg4, int jarg5)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runTurboFoldThreshold__SWIG_0(long jarg1, RNAstructureBackendCalculator jarg1_, double jarg2, int jarg3, double jarg4, java.lang.String jarg5)`
    `static java.lang.String` | `RNAstructureBackendCalculator_runTurboFoldThreshold__SWIG_1(long jarg1, RNAstructureBackendCalculator jarg1_, double jarg2, int jarg3, double jarg4)`
    `static java.lang.String` | `RNAstructureBackendCalculator_setCleavedNucleotide(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2, int jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_setDoubleStrandedNucleotide(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2, int jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_setDynalignAlignmentConstraint(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2, int jarg3)`
    `static int` | `RNAstructureBackendCalculator_setEnvVar(java.lang.String jarg1)`
    `static java.lang.String` | `RNAstructureBackendCalculator_setForcedHelix(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)`
    `static void` | `RNAstructureBackendCalculator_setMaxLoop(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static void` | `RNAstructureBackendCalculator_setMaxPair(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_setModifiedNucleotide(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2, int jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_setProhibitedHelix(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2, int jarg3, int jarg4, int jarg5)`
    `static void` | `RNAstructureBackendCalculator_setSaveFile(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static void` | `RNAstructureBackendCalculator_setSequenceComment(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static void` | `RNAstructureBackendCalculator_setSequenceData(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static void` | `RNAstructureBackendCalculator_setSequenceTitle(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static void` | `RNAstructureBackendCalculator_setSHAPEFile(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static void` | `RNAstructureBackendCalculator_setSHAPEParam1(long jarg1, RNAstructureBackendCalculator jarg1_, double jarg2)`
    `static void` | `RNAstructureBackendCalculator_setSHAPEParam2(long jarg1, RNAstructureBackendCalculator jarg1_, double jarg2)`
    `static void` | `RNAstructureBackendCalculator_setSHAPEType(long jarg1, RNAstructureBackendCalculator jarg1_, boolean jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_setSingleStrandedNucleotide(long jarg1, RNAstructureBackendCalculator jarg1_, int jarg2, int jarg3)`
    `static void` | `RNAstructureBackendCalculator_setTemperature(long jarg1, RNAstructureBackendCalculator jarg1_, double jarg2)`
    `static boolean` | `RNAstructureBackendCalculator_wasCanceled(long jarg1, RNAstructureBackendCalculator jarg1_)`
    `static void` | `RNAstructureBackendCalculator_writeDynalignAlignmentConstraintsFile(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_writeFastaFile(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`
    `static java.lang.String` | `RNAstructureBackendCalculator_writeFoldingConstraintsFile(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2, int jarg3)`
    `static java.lang.String` | `RNAstructureBackendCalculator_writeSequenceFile(long jarg1, RNAstructureBackendCalculator jarg1_, java.lang.String jarg2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RNAstructureBackendCalculatorProxyJNI

          public RNAstructureBackendCalculatorProxyJNI()

  - ### Method Detail

    - #### delete_RNAstructureBackendCalculator

          public static final void delete_RNAstructureBackendCalculator(long jarg1)

    - #### new_RNAstructureBackendCalculator

          public static final long new_RNAstructureBackendCalculator()

    - #### RNAstructureBackendCalculator_activateMultilign

          public static final void RNAstructureBackendCalculator_activateMultilign(long jarg1,
                                                                                   RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_activateTurboFold

          public static final void RNAstructureBackendCalculator_activateTurboFold(long jarg1,
                                                                                   RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_addMultilignTuple

          public static final void RNAstructureBackendCalculator_addMultilignTuple(long jarg1,
                                                                                   RNAstructureBackendCalculator jarg1_,
                                                                                   java.lang.String jarg2,
                                                                                   java.lang.String jarg3)

    - #### RNAstructureBackendCalculator_addTurboFoldTuple__SWIG_0

          public static final void RNAstructureBackendCalculator_addTurboFoldTuple__SWIG_0(long jarg1,
                                                                                           RNAstructureBackendCalculator jarg1_,
                                                                                           java.lang.String jarg2,
                                                                                           java.lang.String jarg3,
                                                                                           java.lang.String jarg4)

    - #### RNAstructureBackendCalculator_addTurboFoldTuple__SWIG_1

          public static final void RNAstructureBackendCalculator_addTurboFoldTuple__SWIG_1(long jarg1,
                                                                                           RNAstructureBackendCalculator jarg1_,
                                                                                           java.lang.String jarg2,
                                                                                           java.lang.String jarg3)

    - #### RNAstructureBackendCalculator_buildAccessFoldDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildAccessFoldDataStructure(long jarg1,
                                                                                                          RNAstructureBackendCalculator jarg1_,
                                                                                                          java.lang.String jarg2,
                                                                                                          java.lang.String jarg3,
                                                                                                          boolean jarg4)

    - #### RNAstructureBackendCalculator_buildAllSubDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildAllSubDataStructure(long jarg1,
                                                                                                      RNAstructureBackendCalculator jarg1_,
                                                                                                      java.lang.String jarg2,
                                                                                                      boolean jarg3)

    - #### RNAstructureBackendCalculator_buildBifoldDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildBifoldDataStructure(long jarg1,
                                                                                                      RNAstructureBackendCalculator jarg1_,
                                                                                                      java.lang.String jarg2,
                                                                                                      java.lang.String jarg3,
                                                                                                      boolean jarg4)

    - #### RNAstructureBackendCalculator_buildBipartitionDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildBipartitionDataStructure(long jarg1,
                                                                                                           RNAstructureBackendCalculator jarg1_,
                                                                                                           java.lang.String jarg2,
                                                                                                           java.lang.String jarg3,
                                                                                                           boolean jarg4)

    - #### RNAstructureBackendCalculator_buildDuplexFoldDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildDuplexFoldDataStructure(long jarg1,
                                                                                                          RNAstructureBackendCalculator jarg1_,
                                                                                                          java.lang.String jarg2,
                                                                                                          java.lang.String jarg3,
                                                                                                          boolean jarg4)

    - #### RNAstructureBackendCalculator_buildDynalignDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildDynalignDataStructure(long jarg1,
                                                                                                        RNAstructureBackendCalculator jarg1_,
                                                                                                        java.lang.String jarg2,
                                                                                                        java.lang.String jarg3,
                                                                                                        boolean jarg4)

    - #### RNAstructureBackendCalculator_buildEfn2DataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildEfn2DataStructure(long jarg1,
                                                                                                    RNAstructureBackendCalculator jarg1_,
                                                                                                    java.lang.String jarg2,
                                                                                                    boolean jarg3)

    - #### RNAstructureBackendCalculator_buildFoldDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildFoldDataStructure(long jarg1,
                                                                                                    RNAstructureBackendCalculator jarg1_,
                                                                                                    java.lang.String jarg2,
                                                                                                    boolean jarg3)

    - #### RNAstructureBackendCalculator_buildMaxExpectDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildMaxExpectDataStructure(long jarg1,
                                                                                                         RNAstructureBackendCalculator jarg1_,
                                                                                                         java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_buildOligoScreenDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildOligoScreenDataStructure(long jarg1,
                                                                                                           RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_buildOligoWalkDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildOligoWalkDataStructure(long jarg1,
                                                                                                         RNAstructureBackendCalculator jarg1_,
                                                                                                         java.lang.String jarg2,
                                                                                                         boolean jarg3)

    - #### RNAstructureBackendCalculator_buildPartitionDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildPartitionDataStructure(long jarg1,
                                                                                                         RNAstructureBackendCalculator jarg1_,
                                                                                                         java.lang.String jarg2,
                                                                                                         boolean jarg3)

    - #### RNAstructureBackendCalculator_buildProbKnotDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildProbKnotDataStructure(long jarg1,
                                                                                                        RNAstructureBackendCalculator jarg1_,
                                                                                                        java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_buildRefoldDynalignDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildRefoldDynalignDataStructure(long jarg1,
                                                                                                              RNAstructureBackendCalculator jarg1_,
                                                                                                              java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_buildRefoldSingleDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildRefoldSingleDataStructure(long jarg1,
                                                                                                            RNAstructureBackendCalculator jarg1_,
                                                                                                            java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_buildRemovePseudoknotsDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildRemovePseudoknotsDataStructure(long jarg1,
                                                                                                                 RNAstructureBackendCalculator jarg1_,
                                                                                                                 java.lang.String jarg2,
                                                                                                                 boolean jarg3)

    - #### RNAstructureBackendCalculator_buildStochasticDataStructure

          public static final java.lang.String RNAstructureBackendCalculator_buildStochasticDataStructure(long jarg1,
                                                                                                          RNAstructureBackendCalculator jarg1_,
                                                                                                          java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_cancelOperation

          public static final void RNAstructureBackendCalculator_cancelOperation(long jarg1,
                                                                                 RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_canFoldOligoOligo

          public static final boolean RNAstructureBackendCalculator_canFoldOligoOligo(long jarg1,
                                                                                      RNAstructureBackendCalculator jarg1_,
                                                                                      int jarg2)

    - #### RNAstructureBackendCalculator_canFoldOligoSelf

          public static final boolean RNAstructureBackendCalculator_canFoldOligoSelf(long jarg1,
                                                                                     RNAstructureBackendCalculator jarg1_,
                                                                                     int jarg2)

    - #### RNAstructureBackendCalculator_clearDynalignAlignmentConstraints

          public static final void RNAstructureBackendCalculator_clearDynalignAlignmentConstraints(long jarg1,
                                                                                                   RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_clearFoldingConstraints

          public static final void RNAstructureBackendCalculator_clearFoldingConstraints(long jarg1,
                                                                                         RNAstructureBackendCalculator jarg1_,
                                                                                         int jarg2)

    - #### RNAstructureBackendCalculator_deleteMultilignTuple

          public static final void RNAstructureBackendCalculator_deleteMultilignTuple(long jarg1,
                                                                                      RNAstructureBackendCalculator jarg1_,
                                                                                      long jarg2)

    - #### RNAstructureBackendCalculator_deleteTurboFoldTuple

          public static final void RNAstructureBackendCalculator_deleteTurboFoldTuple(long jarg1,
                                                                                      RNAstructureBackendCalculator jarg1_,
                                                                                      long jarg2)

    - #### RNAstructureBackendCalculator_determineOligoMaximum

          public static final int RNAstructureBackendCalculator_determineOligoMaximum(long jarg1,
                                                                                      RNAstructureBackendCalculator jarg1_,
                                                                                      int jarg2)

    - #### RNAstructureBackendCalculator_foldOligo

          public static final void RNAstructureBackendCalculator_foldOligo(long jarg1,
                                                                           RNAstructureBackendCalculator jarg1_,
                                                                           java.lang.String jarg2,
                                                                           int jarg3,
                                                                           boolean jarg4,
                                                                           boolean jarg5,
                                                                           java.lang.String jarg6)

    - #### RNAstructureBackendCalculator_getAllOligoData

          public static final java.lang.String RNAstructureBackendCalculator_getAllOligoData(long jarg1,
                                                                                             RNAstructureBackendCalculator jarg1_,
                                                                                             int jarg2)

    - #### RNAstructureBackendCalculator_getDisplayedOligo

          public static final java.lang.String RNAstructureBackendCalculator_getDisplayedOligo(long jarg1,
                                                                                               RNAstructureBackendCalculator jarg1_,
                                                                                               int jarg2)

    - #### RNAstructureBackendCalculator_getDynalignAlignmentConstraints

          public static final java.lang.String RNAstructureBackendCalculator_getDynalignAlignmentConstraints(long jarg1,
                                                                                                             RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getDynalignAlignmentWindowSize

          public static final int RNAstructureBackendCalculator_getDynalignAlignmentWindowSize(long jarg1,
                                                                                               RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getDynalignStructureWindowSize

          public static final int RNAstructureBackendCalculator_getDynalignStructureWindowSize(long jarg1,
                                                                                               RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getEnvVar

          public static final java.lang.String RNAstructureBackendCalculator_getEnvVar(java.lang.String jarg1)

    - #### RNAstructureBackendCalculator_GetErrorCode

          public static final int RNAstructureBackendCalculator_GetErrorCode(long jarg1,
                                                                             RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getFoldingConstraints

          public static final java.lang.String RNAstructureBackendCalculator_getFoldingConstraints(long jarg1,
                                                                                                   RNAstructureBackendCalculator jarg1_,
                                                                                                   int jarg2)

    - #### RNAstructureBackendCalculator_getFoldWindowSize

          public static final int RNAstructureBackendCalculator_getFoldWindowSize(long jarg1,
                                                                                  RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_GetFullErrorMessage

          public static final java.lang.String RNAstructureBackendCalculator_GetFullErrorMessage(long jarg1,
                                                                                                 RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getGraphRegionBegin

          public static final int RNAstructureBackendCalculator_getGraphRegionBegin(long jarg1,
                                                                                    RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getGraphRegionEnd

          public static final int RNAstructureBackendCalculator_getGraphRegionEnd(long jarg1,
                                                                                  RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getMaxConstraintIndex

          public static final int RNAstructureBackendCalculator_getMaxConstraintIndex(long jarg1,
                                                                                      RNAstructureBackendCalculator jarg1_,
                                                                                      int jarg2)

    - #### RNAstructureBackendCalculator_getMaxLoop

          public static final int RNAstructureBackendCalculator_getMaxLoop(long jarg1,
                                                                           RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getMaxPair

          public static final int RNAstructureBackendCalculator_getMaxPair(long jarg1,
                                                                           RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getMostStableOligo

          public static final int RNAstructureBackendCalculator_getMostStableOligo(long jarg1,
                                                                                   RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getMultilignCT

          public static final java.lang.String RNAstructureBackendCalculator_getMultilignCT(long jarg1,
                                                                                            RNAstructureBackendCalculator jarg1_,
                                                                                            int jarg2)

    - #### RNAstructureBackendCalculator_getMultilignMaxPairs

          public static final int RNAstructureBackendCalculator_getMultilignMaxPairs(long jarg1,
                                                                                     RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getMultilignSequenceSetData

          public static final java.lang.String RNAstructureBackendCalculator_getMultilignSequenceSetData(long jarg1,
                                                                                                         RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getNumMultilignSequences

          public static final int RNAstructureBackendCalculator_getNumMultilignSequences(long jarg1,
                                                                                         RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getNumTurboFoldSequences

          public static final int RNAstructureBackendCalculator_getNumTurboFoldSequences(long jarg1,
                                                                                         RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getOligoLabelData

          public static final java.lang.String RNAstructureBackendCalculator_getOligoLabelData(long jarg1,
                                                                                               RNAstructureBackendCalculator jarg1_,
                                                                                               int jarg2)

    - #### RNAstructureBackendCalculator_getOligoTargetLength

          public static final int RNAstructureBackendCalculator_getOligoTargetLength(long jarg1,
                                                                                     RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getOligoTargetSequence

          public static final java.lang.String RNAstructureBackendCalculator_getOligoTargetSequence(long jarg1,
                                                                                                    RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getProgressNumber

          public static final int RNAstructureBackendCalculator_getProgressNumber(long jarg1,
                                                                                  RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getRefoldWindowSize

          public static final int RNAstructureBackendCalculator_getRefoldWindowSize(long jarg1,
                                                                                    RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getSaveFile

          public static final java.lang.String RNAstructureBackendCalculator_getSaveFile(long jarg1,
                                                                                         RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getSequenceComment

          public static final java.lang.String RNAstructureBackendCalculator_getSequenceComment(long jarg1,
                                                                                                RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getSequenceData

          public static final java.lang.String RNAstructureBackendCalculator_getSequenceData(long jarg1,
                                                                                             RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getSequenceTitle

          public static final java.lang.String RNAstructureBackendCalculator_getSequenceTitle(long jarg1,
                                                                                              RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getStructureType

          public static final java.lang.String RNAstructureBackendCalculator_getStructureType(long jarg1,
                                                                                              RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getSuboptimalAbsoluteDiff

          public static final double RNAstructureBackendCalculator_getSuboptimalAbsoluteDiff(long jarg1,
                                                                                             RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getSuboptimalPercentDiff

          public static final float RNAstructureBackendCalculator_getSuboptimalPercentDiff(long jarg1,
                                                                                           RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getTemperature

          public static final double RNAstructureBackendCalculator_getTemperature(long jarg1,
                                                                                  RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getTurboFoldCT

          public static final java.lang.String RNAstructureBackendCalculator_getTurboFoldCT(long jarg1,
                                                                                            RNAstructureBackendCalculator jarg1_,
                                                                                            int jarg2)

    - #### RNAstructureBackendCalculator_getTurboFoldSaveFile

          public static final java.lang.String RNAstructureBackendCalculator_getTurboFoldSaveFile(long jarg1,
                                                                                                  RNAstructureBackendCalculator jarg1_,
                                                                                                  int jarg2)

    - #### RNAstructureBackendCalculator_getTurboFoldSequenceSetData

          public static final java.lang.String RNAstructureBackendCalculator_getTurboFoldSequenceSetData(long jarg1,
                                                                                                         RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_getVersion

          public static final java.lang.String RNAstructureBackendCalculator_getVersion()

    - #### RNAstructureBackendCalculator_loadDoubleRNA__SWIG_0

          public static final java.lang.String RNAstructureBackendCalculator_loadDoubleRNA__SWIG_0(long jarg1,
                                                                                                   RNAstructureBackendCalculator jarg1_,
                                                                                                   java.lang.String jarg2,
                                                                                                   java.lang.String jarg3,
                                                                                                   boolean jarg4,
                                                                                                   int jarg5)

    - #### RNAstructureBackendCalculator_loadDoubleRNA__SWIG_1

          public static final java.lang.String RNAstructureBackendCalculator_loadDoubleRNA__SWIG_1(long jarg1,
                                                                                                   RNAstructureBackendCalculator jarg1_,
                                                                                                   java.lang.String jarg2,
                                                                                                   java.lang.String jarg3,
                                                                                                   boolean jarg4)

    - #### RNAstructureBackendCalculator_loadSingleRNA__SWIG_0

          public static final java.lang.String RNAstructureBackendCalculator_loadSingleRNA__SWIG_0(long jarg1,
                                                                                                   RNAstructureBackendCalculator jarg1_,
                                                                                                   java.lang.String jarg2,
                                                                                                   boolean jarg3,
                                                                                                   int jarg4)

    - #### RNAstructureBackendCalculator_loadSingleRNA__SWIG_1

          public static final java.lang.String RNAstructureBackendCalculator_loadSingleRNA__SWIG_1(long jarg1,
                                                                                                   RNAstructureBackendCalculator jarg1_,
                                                                                                   java.lang.String jarg2,
                                                                                                   boolean jarg3)

    - #### RNAstructureBackendCalculator_readDynalignAlignmentConstraintsFile

          public static final java.lang.String RNAstructureBackendCalculator_readDynalignAlignmentConstraintsFile(long jarg1,
                                                                                                                  RNAstructureBackendCalculator jarg1_,
                                                                                                                  java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_readFoldingConstraintsFile

          public static final java.lang.String RNAstructureBackendCalculator_readFoldingConstraintsFile(long jarg1,
                                                                                                        RNAstructureBackendCalculator jarg1_,
                                                                                                        java.lang.String jarg2,
                                                                                                        int jarg3)

    - #### RNAstructureBackendCalculator_readSequenceData

          public static final void RNAstructureBackendCalculator_readSequenceData(long jarg1,
                                                                                  RNAstructureBackendCalculator jarg1_,
                                                                                  java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_runAccessFold

          public static final java.lang.String RNAstructureBackendCalculator_runAccessFold(long jarg1,
                                                                                           RNAstructureBackendCalculator jarg1_,
                                                                                           java.lang.String jarg2,
                                                                                           float jarg3,
                                                                                           int jarg4,
                                                                                           double jarg5,
                                                                                           int jarg6,
                                                                                           boolean jarg7)

    - #### RNAstructureBackendCalculator_runAllSub

          public static final java.lang.String RNAstructureBackendCalculator_runAllSub(long jarg1,
                                                                                       RNAstructureBackendCalculator jarg1_,
                                                                                       java.lang.String jarg2,
                                                                                       float jarg3,
                                                                                       double jarg4)

    - #### RNAstructureBackendCalculator_runBifold

          public static final java.lang.String RNAstructureBackendCalculator_runBifold(long jarg1,
                                                                                       RNAstructureBackendCalculator jarg1_,
                                                                                       java.lang.String jarg2,
                                                                                       float jarg3,
                                                                                       int jarg4,
                                                                                       int jarg5,
                                                                                       boolean jarg6,
                                                                                       boolean jarg7)

    - #### RNAstructureBackendCalculator_runBipartition

          public static final java.lang.String RNAstructureBackendCalculator_runBipartition(long jarg1,
                                                                                            RNAstructureBackendCalculator jarg1_,
                                                                                            java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_runDuplexFold

          public static final java.lang.String RNAstructureBackendCalculator_runDuplexFold(long jarg1,
                                                                                           RNAstructureBackendCalculator jarg1_,
                                                                                           java.lang.String jarg2,
                                                                                           float jarg3,
                                                                                           int jarg4,
                                                                                           int jarg5,
                                                                                           boolean jarg6)

    - #### RNAstructureBackendCalculator_runDynalign

          public static final java.lang.String RNAstructureBackendCalculator_runDynalign(long jarg1,
                                                                                         RNAstructureBackendCalculator jarg1_,
                                                                                         java.lang.String jarg2,
                                                                                         java.lang.String jarg3,
                                                                                         java.lang.String jarg4,
                                                                                         java.lang.String jarg5,
                                                                                         double jarg6,
                                                                                         int jarg7,
                                                                                         int jarg8,
                                                                                         int jarg9,
                                                                                         float jarg10,
                                                                                         boolean jarg11)

    - #### RNAstructureBackendCalculator_runDynalignRefold

          public static final java.lang.String RNAstructureBackendCalculator_runDynalignRefold(long jarg1,
                                                                                               RNAstructureBackendCalculator jarg1_,
                                                                                               java.lang.String jarg2,
                                                                                               java.lang.String jarg3,
                                                                                               java.lang.String jarg4,
                                                                                               int jarg5,
                                                                                               int jarg6,
                                                                                               int jarg7,
                                                                                               int jarg8)

    - #### RNAstructureBackendCalculator_runEfn2

          public static final java.lang.String RNAstructureBackendCalculator_runEfn2(long jarg1,
                                                                                     RNAstructureBackendCalculator jarg1_,
                                                                                     java.lang.String jarg2,
                                                                                     boolean jarg3)

    - #### RNAstructureBackendCalculator_runFold

          public static final java.lang.String RNAstructureBackendCalculator_runFold(long jarg1,
                                                                                     RNAstructureBackendCalculator jarg1_,
                                                                                     java.lang.String jarg2,
                                                                                     int jarg3,
                                                                                     int jarg4,
                                                                                     int jarg5,
                                                                                     boolean jarg6)

    - #### RNAstructureBackendCalculator_runMaxExpect

          public static final java.lang.String RNAstructureBackendCalculator_runMaxExpect(long jarg1,
                                                                                          RNAstructureBackendCalculator jarg1_,
                                                                                          java.lang.String jarg2,
                                                                                          double jarg3,
                                                                                          int jarg4,
                                                                                          int jarg5,
                                                                                          double jarg6)

    - #### RNAstructureBackendCalculator_runMultilign

          public static final java.lang.String RNAstructureBackendCalculator_runMultilign(long jarg1,
                                                                                          RNAstructureBackendCalculator jarg1_,
                                                                                          int jarg2,
                                                                                          int jarg3,
                                                                                          int jarg4,
                                                                                          int jarg5,
                                                                                          double jarg6,
                                                                                          boolean jarg7,
                                                                                          double jarg8,
                                                                                          int jarg9,
                                                                                          int jarg10,
                                                                                          java.lang.String jarg11,
                                                                                          boolean jarg12,
                                                                                          boolean jarg13)

    - #### RNAstructureBackendCalculator_runOligoScreen

          public static final java.lang.String RNAstructureBackendCalculator_runOligoScreen(long jarg1,
                                                                                            RNAstructureBackendCalculator jarg1_,
                                                                                            java.lang.String jarg2,
                                                                                            java.lang.String jarg3,
                                                                                            boolean jarg4)

    - #### RNAstructureBackendCalculator_runOligoWalk

          public static final java.lang.String RNAstructureBackendCalculator_runOligoWalk(long jarg1,
                                                                                          RNAstructureBackendCalculator jarg1_,
                                                                                          java.lang.String jarg2,
                                                                                          int jarg3,
                                                                                          java.lang.String jarg4,
                                                                                          boolean jarg5,
                                                                                          int jarg6,
                                                                                          int jarg7,
                                                                                          java.lang.String jarg8,
                                                                                          int jarg9,
                                                                                          int jarg10)

    - #### RNAstructureBackendCalculator_runPartition

          public static final java.lang.String RNAstructureBackendCalculator_runPartition(long jarg1,
                                                                                          RNAstructureBackendCalculator jarg1_,
                                                                                          java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_runPseudoknotPrediction

          public static final java.lang.String RNAstructureBackendCalculator_runPseudoknotPrediction(long jarg1,
                                                                                                     RNAstructureBackendCalculator jarg1_,
                                                                                                     java.lang.String jarg2,
                                                                                                     int jarg3,
                                                                                                     int jarg4)

    - #### RNAstructureBackendCalculator_runPseudoknotRemoval

          public static final java.lang.String RNAstructureBackendCalculator_runPseudoknotRemoval(long jarg1,
                                                                                                  RNAstructureBackendCalculator jarg1_,
                                                                                                  java.lang.String jarg2,
                                                                                                  boolean jarg3)

    - #### RNAstructureBackendCalculator_runRefold

          public static final java.lang.String RNAstructureBackendCalculator_runRefold(long jarg1,
                                                                                       RNAstructureBackendCalculator jarg1_,
                                                                                       java.lang.String jarg2,
                                                                                       int jarg3,
                                                                                       int jarg4,
                                                                                       int jarg5)

    - #### RNAstructureBackendCalculator_runStochastic

          public static final java.lang.String RNAstructureBackendCalculator_runStochastic(long jarg1,
                                                                                           RNAstructureBackendCalculator jarg1_,
                                                                                           java.lang.String jarg2,
                                                                                           int jarg3,
                                                                                           int jarg4)

    - #### RNAstructureBackendCalculator_runTurboFoldMaximumExpectedAccuracy__SWIG_0

          public static final java.lang.String RNAstructureBackendCalculator_runTurboFoldMaximumExpectedAccuracy__SWIG_0(long jarg1,
                                                                                                                         RNAstructureBackendCalculator jarg1_,
                                                                                                                         double jarg2,
                                                                                                                         int jarg3,
                                                                                                                         double jarg4,
                                                                                                                         int jarg5,
                                                                                                                         int jarg6,
                                                                                                                         double jarg7,
                                                                                                                         java.lang.String jarg8)

    - #### RNAstructureBackendCalculator_runTurboFoldMaximumExpectedAccuracy__SWIG_1

          public static final java.lang.String RNAstructureBackendCalculator_runTurboFoldMaximumExpectedAccuracy__SWIG_1(long jarg1,
                                                                                                                         RNAstructureBackendCalculator jarg1_,
                                                                                                                         double jarg2,
                                                                                                                         int jarg3,
                                                                                                                         double jarg4,
                                                                                                                         int jarg5,
                                                                                                                         int jarg6,
                                                                                                                         double jarg7)

    - #### RNAstructureBackendCalculator_runTurboFoldPseudoknot__SWIG_0

          public static final java.lang.String RNAstructureBackendCalculator_runTurboFoldPseudoknot__SWIG_0(long jarg1,
                                                                                                            RNAstructureBackendCalculator jarg1_,
                                                                                                            double jarg2,
                                                                                                            int jarg3,
                                                                                                            int jarg4,
                                                                                                            int jarg5,
                                                                                                            java.lang.String jarg6)

    - #### RNAstructureBackendCalculator_runTurboFoldPseudoknot__SWIG_1

          public static final java.lang.String RNAstructureBackendCalculator_runTurboFoldPseudoknot__SWIG_1(long jarg1,
                                                                                                            RNAstructureBackendCalculator jarg1_,
                                                                                                            double jarg2,
                                                                                                            int jarg3,
                                                                                                            int jarg4,
                                                                                                            int jarg5)

    - #### RNAstructureBackendCalculator_runTurboFoldThreshold__SWIG_0

          public static final java.lang.String RNAstructureBackendCalculator_runTurboFoldThreshold__SWIG_0(long jarg1,
                                                                                                           RNAstructureBackendCalculator jarg1_,
                                                                                                           double jarg2,
                                                                                                           int jarg3,
                                                                                                           double jarg4,
                                                                                                           java.lang.String jarg5)

    - #### RNAstructureBackendCalculator_runTurboFoldThreshold__SWIG_1

          public static final java.lang.String RNAstructureBackendCalculator_runTurboFoldThreshold__SWIG_1(long jarg1,
                                                                                                           RNAstructureBackendCalculator jarg1_,
                                                                                                           double jarg2,
                                                                                                           int jarg3,
                                                                                                           double jarg4)

    - #### RNAstructureBackendCalculator_setCleavedNucleotide

          public static final java.lang.String RNAstructureBackendCalculator_setCleavedNucleotide(long jarg1,
                                                                                                  RNAstructureBackendCalculator jarg1_,
                                                                                                  int jarg2,
                                                                                                  int jarg3)

    - #### RNAstructureBackendCalculator_setDoubleStrandedNucleotide

          public static final java.lang.String RNAstructureBackendCalculator_setDoubleStrandedNucleotide(long jarg1,
                                                                                                         RNAstructureBackendCalculator jarg1_,
                                                                                                         int jarg2,
                                                                                                         int jarg3)

    - #### RNAstructureBackendCalculator_setDynalignAlignmentConstraint

          public static final java.lang.String RNAstructureBackendCalculator_setDynalignAlignmentConstraint(long jarg1,
                                                                                                            RNAstructureBackendCalculator jarg1_,
                                                                                                            int jarg2,
                                                                                                            int jarg3)

    - #### RNAstructureBackendCalculator_setEnvVar

          public static final int RNAstructureBackendCalculator_setEnvVar(java.lang.String jarg1)

    - #### RNAstructureBackendCalculator_setForcedHelix

          public static final java.lang.String RNAstructureBackendCalculator_setForcedHelix(long jarg1,
                                                                                            RNAstructureBackendCalculator jarg1_,
                                                                                            int jarg2,
                                                                                            int jarg3,
                                                                                            int jarg4,
                                                                                            int jarg5)

    - #### RNAstructureBackendCalculator_setMaxLoop

          public static final void RNAstructureBackendCalculator_setMaxLoop(long jarg1,
                                                                            RNAstructureBackendCalculator jarg1_,
                                                                            int jarg2)

    - #### RNAstructureBackendCalculator_setMaxPair

          public static final void RNAstructureBackendCalculator_setMaxPair(long jarg1,
                                                                            RNAstructureBackendCalculator jarg1_,
                                                                            int jarg2)

    - #### RNAstructureBackendCalculator_setModifiedNucleotide

          public static final java.lang.String RNAstructureBackendCalculator_setModifiedNucleotide(long jarg1,
                                                                                                   RNAstructureBackendCalculator jarg1_,
                                                                                                   int jarg2,
                                                                                                   int jarg3)

    - #### RNAstructureBackendCalculator_setProhibitedHelix

          public static final java.lang.String RNAstructureBackendCalculator_setProhibitedHelix(long jarg1,
                                                                                                RNAstructureBackendCalculator jarg1_,
                                                                                                int jarg2,
                                                                                                int jarg3,
                                                                                                int jarg4,
                                                                                                int jarg5)

    - #### RNAstructureBackendCalculator_setSaveFile

          public static final void RNAstructureBackendCalculator_setSaveFile(long jarg1,
                                                                             RNAstructureBackendCalculator jarg1_,
                                                                             java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_setSequenceComment

          public static final void RNAstructureBackendCalculator_setSequenceComment(long jarg1,
                                                                                    RNAstructureBackendCalculator jarg1_,
                                                                                    java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_setSequenceData

          public static final void RNAstructureBackendCalculator_setSequenceData(long jarg1,
                                                                                 RNAstructureBackendCalculator jarg1_,
                                                                                 java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_setSequenceTitle

          public static final void RNAstructureBackendCalculator_setSequenceTitle(long jarg1,
                                                                                  RNAstructureBackendCalculator jarg1_,
                                                                                  java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_setSHAPEFile

          public static final void RNAstructureBackendCalculator_setSHAPEFile(long jarg1,
                                                                              RNAstructureBackendCalculator jarg1_,
                                                                              java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_setSHAPEParam1

          public static final void RNAstructureBackendCalculator_setSHAPEParam1(long jarg1,
                                                                                RNAstructureBackendCalculator jarg1_,
                                                                                double jarg2)

    - #### RNAstructureBackendCalculator_setSHAPEParam2

          public static final void RNAstructureBackendCalculator_setSHAPEParam2(long jarg1,
                                                                                RNAstructureBackendCalculator jarg1_,
                                                                                double jarg2)

    - #### RNAstructureBackendCalculator_setSHAPEType

          public static final void RNAstructureBackendCalculator_setSHAPEType(long jarg1,
                                                                              RNAstructureBackendCalculator jarg1_,
                                                                              boolean jarg2)

    - #### RNAstructureBackendCalculator_setSingleStrandedNucleotide

          public static final java.lang.String RNAstructureBackendCalculator_setSingleStrandedNucleotide(long jarg1,
                                                                                                         RNAstructureBackendCalculator jarg1_,
                                                                                                         int jarg2,
                                                                                                         int jarg3)

    - #### RNAstructureBackendCalculator_setTemperature

          public static final void RNAstructureBackendCalculator_setTemperature(long jarg1,
                                                                                RNAstructureBackendCalculator jarg1_,
                                                                                double jarg2)

    - #### RNAstructureBackendCalculator_wasCanceled

          public static final boolean RNAstructureBackendCalculator_wasCanceled(long jarg1,
                                                                                RNAstructureBackendCalculator jarg1_)

    - #### RNAstructureBackendCalculator_writeDynalignAlignmentConstraintsFile

          public static final void RNAstructureBackendCalculator_writeDynalignAlignmentConstraintsFile(long jarg1,
                                                                                                       RNAstructureBackendCalculator jarg1_,
                                                                                                       java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_writeFastaFile

          public static final java.lang.String RNAstructureBackendCalculator_writeFastaFile(long jarg1,
                                                                                            RNAstructureBackendCalculator jarg1_,
                                                                                            java.lang.String jarg2)

    - #### RNAstructureBackendCalculator_writeFoldingConstraintsFile

          public static final java.lang.String RNAstructureBackendCalculator_writeFoldingConstraintsFile(long jarg1,
                                                                                                         RNAstructureBackendCalculator jarg1_,
                                                                                                         java.lang.String jarg2,
                                                                                                         int jarg3)

    - #### RNAstructureBackendCalculator_writeSequenceFile

          public static final java.lang.String RNAstructureBackendCalculator_writeSequenceFile(long jarg1,
                                                                                               RNAstructureBackendCalculator jarg1_,
                                                                                               java.lang.String jarg2)